adjustP2 {CALIB} | R Documentation

## Adjust model parameter P2

### Description

Adjust the calibration model parameter P2 according to the measured intensities of all clones spotted on the array.

### Usage

    adjustP2(RG, parameter, arrayindex = arrayindex, colorindex = colorindex)

### Arguments

`RG` | an `RGList` object.
`parameter` | a `ParameterList` object.
`arrayindex` | integer vector specifying the index of the arrays of whose the parameter P2 needed to be adjusted.
`colorindex` | integer vector specifying which color needed to be adjusted.

### Details

`RG` is an `RGList_CALIB` object which contains all the experimental data. `parameter` is the return result of function `estimateParameter.` `arrayindex` is an integer vector. It gives the index of the arrays whose P2 is needed to be adjusted. `colorindex` is an integer vector. It gives the color needed to be adjusted. `1` means red P2 and `2` means green P2.

### Value

It returns a `ParameterList` object with a adjusted P2 compared to the input argument `parameter`.

### Note

The user should decide on which array and which color the adjustment is needed. Therefore it is important to specify the right array index and color index. There is no check on this in the function.

### Author(s)

Hui Zhao

### Examples

    # load data: RG and parameter:
    data(RG)
    data(parameter)

    # adjust P2
    parameter_new <- adjustP2(RG,parameter,arrayindex=c(1,2),colorindex=c(2,2))

[Package CALIB version 1.10.0 Index]